Package org.silverpeas.components.blog.service

# Interface BlogService

All Superinterfaces:
  `org.silverpeas.core.ApplicationService`

All Known Implementing Classes:
  `DefaultBlogService`

public interface BlogService extends org.silverpeas.core.ApplicationService
Services provided by the Blog Silverpeas component.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createCategory(Category category)`
  `String`
  `createPost(PostDetail post)`
  `String`
  `createPost(PostDetail post, org.silverpeas.core.pdc.pdc.model.PdcClassification classification)`
  `void`
  `deleteCategory(String instanceId, String categoryId)`
  `void`
  `deletePost(String instanceId, String postId)`
  `void`
  `draftOutPost(PostDetail post)`
  `static BlogService`
  `get()`
  `Collection<Archive>`
  `getAllArchives(String instanceId)`
  `Collection<org.silverpeas.core.node.model.NodeDetail>`
  `getAllCategories(String instanceId)`
  `Collection<PostDetail>`
  `getAllPosts(String instanceId)`
  `Category`
  `getCategory(org.silverpeas.core.node.model.NodePK nodePK)`
  `Optional<PostDetail>`
  `getContributionById(org.silverpeas.core.contribution.model.ContributionIdentifier contributionId)`
  `Collection<PostDetail>`
  `getLastPosts(String instanceId, BlogFilters filters)`
  `Collection<PostDetail>`
  `getLastValidPosts(String instanceId, BlogFilters filters)`
  `Collection<PostDetail>`
  `getPostsByArchive(String instanceId, String beginDate, String endDate, BlogFilters filters)`
  `Collection<PostDetail>`
  `getPostsByCategory(String instanceId, String categoryId, BlogFilters filters)`
  `Collection<PostDetail>`
  `getPostsByEventDate(String instanceId, String date, BlogFilters filters)`
  `Collection<PostDetail>`
  `getResultSearch(String instanceId, String word, String userId, BlogFilters filters)`
  `void`
  `indexBlog(String componentId)`
  `boolean`
  `isSubscribed(String userId, String instanceId)`
  `void`
  `sendSubscriptionsNotification(org.silverpeas.core.node.model.NodePK fatherPK, PostDetail post, org.silverpeas.core.comment.model.Comment comment, String type, String senderId)`
  `void`
  `updateCategory(Category category)`
  `void`
  `updatePost(PostDetail post, org.silverpeas.core.pdc.pdc.model.PdcClassification classification)`

  ### Methods inherited from interface org.silverpeas.core.ApplicationService

  `getComponentMessages, getComponentSettings, isRelatedTo`

- ## Method Details

  - ### get

    static BlogService get()

  - ### getContributionById

    Optional<PostDetail> getContributionById(org.silverpeas.core.contribution.model.ContributionIdentifier contributionId)
    Specified by:
      `getContributionById` in interface `org.silverpeas.core.ApplicationService`

  - ### createPost

    String createPost(PostDetail post)

  - ### createPost

    String createPost(PostDetail post, org.silverpeas.core.pdc.pdc.model.PdcClassification classification)

  - ### updatePost

    void updatePost(PostDetail post, org.silverpeas.core.pdc.pdc.model.PdcClassification classification)

  - ### deletePost

    void deletePost(String instanceId, String postId)

  - ### getLastPosts

    Collection<PostDetail> getLastPosts(String instanceId, BlogFilters filters)

  - ### getAllPosts

    Collection<PostDetail> getAllPosts(String instanceId)

  - ### getLastValidPosts

    Collection<PostDetail> getLastValidPosts(String instanceId, BlogFilters filters)

  - ### getPostsByCategory

    Collection<PostDetail> getPostsByCategory(String instanceId, String categoryId, BlogFilters filters)

  - ### getPostsByArchive

    Collection<PostDetail> getPostsByArchive(String instanceId, String beginDate, String endDate, BlogFilters filters)

  - ### getPostsByEventDate

    Collection<PostDetail> getPostsByEventDate(String instanceId, String date, BlogFilters filters)

  - ### getResultSearch

    Collection<PostDetail> getResultSearch(String instanceId, String word, String userId, BlogFilters filters)

  - ### createCategory

    void createCategory(Category category)

  - ### deleteCategory

    void deleteCategory(String instanceId, String categoryId)

  - ### updateCategory

    void updateCategory(Category category)

  - ### getCategory

    Category getCategory(org.silverpeas.core.node.model.NodePK nodePK)

  - ### getAllCategories

    Collection<org.silverpeas.core.node.model.NodeDetail> getAllCategories(String instanceId)

  - ### getAllArchives

    Collection<Archive> getAllArchives(String instanceId)

  - ### indexBlog

    void indexBlog(String componentId)

  - ### isSubscribed

    boolean isSubscribed(String userId, String instanceId)

  - ### sendSubscriptionsNotification

    void sendSubscriptionsNotification(org.silverpeas.core.node.model.NodePK fatherPK, PostDetail post, org.silverpeas.core.comment.model.Comment comment, String type, String senderId)

  - ### draftOutPost

    void draftOutPost(PostDetail post)